Author Topic: Trying to get darwinbots3 to build.  (Read 652 times)

Offline scood

  • Bot Neophyte
  • *
  • Posts: 41
    • View Profile
Trying to get darwinbots3 to build.
« on: October 17, 2019, 10:09:00 PM »
What version of visual studio is required.
As of this writing it does not build with visual studio 2017 because visual studio 2017 does not have a registry entry where the python build script expects it to be. Is there more detailed build instructions?

Offline Numsgil

  • Administrator
  • Bot God
  • *****
  • Posts: 7719
    • View Profile
Re: Trying to get darwinbots3 to build.
« Reply #1 on: October 18, 2019, 08:08:21 PM »
There aren't any up to date build instructions, but build.py should work.

The default version of visual studio it looks for is 12.0, which is Visual Studio 2013.  You can change the version by adding `--version XXX` to the arguments to build.py.  You can see the different versions of Visual Studio here:  https://en.wikipedia.org/wiki/Microsoft_Visual_Studio.  It looks like 2017 is 15.0

That said, I don't know if the build script will work with newer versions of Visual Studio.
« Last Edit: October 18, 2019, 08:11:10 PM by Numsgil »